#! /bin/sh

# /*
# *********************************************************************************
# *             simspark.sh : Robocup 3D Soccer Simulation Team Zigorat           *
# *                                                                               *
# *  Date: 01/24/2009                                                             *
# *  Author: Mahdi Hamdarsi                                                       *
# *  Comments: A simple script to run both the simulator and the agents, with     *
# *            archiving their logs for future use                                *
# *                                                                               *
# *********************************************************************************
# */

CUR_DIR=`pwd`
LOG_DIR="/home/Klaus/Projects/.3DLogs/"

# start the simulator
cd ~
simspark &>/dev/null &
simulator=$!

# Wait for the simulator to completely load
sleep 2

# start the agent
cd ${CUR_DIR}
./start.sh $@

# Wait for the simulator to finish the game
wait $simulator

# Wait 1 more seconds
sleep 1

# Move the log files to the log directory
mv /home/Klaus/sparkmonitor.log ${LOG_DIR}/simspark_log_`date +%Y-%m-%d-%H-%M`.sl

# END